Package org.apache.synapse.experimental.mediators.seda

## Class SEDAMediator

- java.lang.Object
- - org.apache.synapse.mediators.AbstractMediator
  - - org.apache.synapse.experimental.mediators.seda.SEDAMediator

- All Implemented Interfaces:
    `org.apache.synapse.aspects.AspectConfigurable`, `org.apache.synapse.ManagedLifecycle`, `org.apache.synapse.Mediator`, `org.apache.synapse.SynapseArtifact`

      public class SEDAMediator
      extends org.apache.synapse.mediators.AbstractMediator
      implements org.apache.synapse.ManagedLifecycle

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.mediators.AbstractMediator

      `log, trace, traceState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SEDAMediator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` |
    `String` | `getConsumer()` |
    `SEDAQueueConsumerPolicy` | `getSedaQueueConsumerPolicy()` |
    `SEDAQueuePolicy` | `getSedaQueuePolicy()` |
    `SEDAQueueProducerPolicy` | `getSedaQueueProducerPolicy()` |
    `void` | `init​(org.apache.synapse.core.SynapseEnvironment se)` |
    `boolean` | `mediate​(org.apache.synapse.MessageContext synCtx)` |
    `void` | `setConsumer​(String consumer)` |
    `void` | `setSedaQueueConsumerPolicy​(SEDAQueueConsumerPolicy sedaQueueConsumerPolicy)` |
    `void` | `setSedaQueuePolicy​(SEDAQueuePolicy sedaQueuePolicy)` |
    `void` | `setSedaQueueProducerPolicy​(SEDAQueueProducerPolicy sedaQueueProducerPolicy)` |

    - ### Methods inherited from class org.apache.synapse.mediators.AbstractMediator

      `auditLog, auditWarn, configure, disableStatistics, disableTracing, divertMediationRoute, enableStatistics, enableTracing, getArtifactIdentifier, getAspectConfiguration, getCommentsList, getDescription, getInputType, getLastSequenceFaultHandler, getLog, getMediatorName, getMediatorPosition, getOutputType, getRegisteredMediationFlowPoint, getShortDescription, getTraceState, getType, handleException, handleException, isBreakPoint, isContentAltering, isContentAware, isSkipEnabled, isStatisticsEnable, isTraceOn, isTraceOrDebugOn, isTracingEnabled, registerMediationFlowPoint, reportCloseStatistics, reportCloseStatisticsWithError, reportOpenStatistics, setArtifactIdentifier, setBreakPoint, setCommentsList, setComponentStatisticsId, setDescription, setEffectiveTraceState, setMediatorPosition, setShortDescription, setSkipEnabled, setTraceState, shouldCaptureTracing, shouldTrace, shouldTrace, traceOrDebug, traceOrDebugWarn, unregisterMediationFlowPoint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SEDAMediator

          public SEDAMediator()

  - ### Method Detail

    - #### mediate

          public boolean mediate​(org.apache.synapse.MessageContext synCtx)

      Specified by:
        `mediate` in interface `org.apache.synapse.Mediator`

    - #### init

          public void init​(org.apache.synapse.core.SynapseEnvironment se)

      Specified by:
        `init` in interface `org.apache.synapse.ManagedLifecycle`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `org.apache.synapse.ManagedLifecycle`

    - #### getSedaQueueConsumerPolicy

          public SEDAQueueConsumerPolicy getSedaQueueConsumerPolicy()

    - #### setSedaQueueConsumerPolicy

          public void setSedaQueueConsumerPolicy​(SEDAQueueConsumerPolicy sedaQueueConsumerPolicy)

    - #### getSedaQueueProducerPolicy

          public SEDAQueueProducerPolicy getSedaQueueProducerPolicy()

    - #### setSedaQueueProducerPolicy

          public void setSedaQueueProducerPolicy​(SEDAQueueProducerPolicy sedaQueueProducerPolicy)

    - #### getSedaQueuePolicy

          public SEDAQueuePolicy getSedaQueuePolicy()

    - #### setSedaQueuePolicy

          public void setSedaQueuePolicy​(SEDAQueuePolicy sedaQueuePolicy)

    - #### getConsumer

          public String getConsumer()

    - #### setConsumer

          public void setConsumer​(String consumer)